.footer {
    color: $white;
    font-weight: 300;
    position: relative;
    background: url("../images/footer__bg.svg") 49% -60px no-repeat;
    background-size: 1200px auto;

    &:before {
        left: 0;
        right: 0;
        bottom: 0;
        top: 250px;
        z-index: 1;
        content: '';
        position: absolute;
        background: $black;
    }

    .container {
        z-index: 20;
        position: relative;
    }

    &__wrap {
        position: relative;
        padding-top: 150px;
        padding-bottom: 40px;
    }

    &__main {
        z-index: 20;
        position: relative;
    }

    &__header {
        font-weight: 500;
        font-size: size-rel(61px);
        line-height: size-rel(61px);
        font-family: $font-family-secondary;
        margin-bottom: 30px;
    }

    &__content {
        line-height: 140%;
        font-size: size-rel(18px);
        margin-bottom: 100px;
        display: grid;
        grid-row-gap: 35px;
        grid-template-columns: 1fr;

        &--group {

        }
    }

    &__label {
        color: $white-300;
    }

    &__value {
        color: $white;

        a {
            color: $white;
            text-decoration: none;
            white-space: nowrap;

            &:hover {
                color: $white;
                text-decoration: none;
            }
        }
    }

    &__pattern {
        z-index: 5;
        font-size: 0;
        line-height: 0;
        position: absolute;

        &--one {
            left: 14px;
            bottom: 92px;
            height: 20px;

            svg {
                fill: $cyan;
            }
        }

        &--two {
            right:  20px;
            bottom: 168px;
            width: 20px;
            height: 20px;
            border-radius: 50%;
            border: 3px solid $orange;
        }

        &--three {
            height: 50px;
            bottom: 125px;
            right: 50px;
            transform: rotate(100deg);

            svg {
                stroke: $cyan;
                stroke-width: 5;
            }
        }

        &--four {
            height: 30px;
            bottom: 60px;
            right: 40px;

            svg {
                fill: $orange;
            }
        }
    }

    @include media-breakpoint-up(md) {
        background-position: 40% -300px;
        background-size: auto auto;

        &:before {
            display: none;
        }

        &__wrap {
  //          padding-top: 175px;
        }

        &__header {
            margin-bottom: 80px;
            font-size: size-rel(90px);
            line-height: size-rel(90px);
        }

        &__content {
            margin-bottom: 140px;
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__pattern {

            &--one {
                height: 30px;
                left: auto;
                right: 150px;
                bottom: 300px;
            }

            &--two {
                width: 40px;
                height: 40px;
                right: 10px;
                bottom: 75px;
                border-color: $cyan;
            }

            &--three {
                height: 90px;
                right: 10px;
                bottom: 280px;
                transform: rotate(0deg);

                svg {
                    stroke: $orange;
                    stroke-width: 5;
                }

            }

            &--four {
                display: none;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        background-position: 32% -300px;
    }

    @include media-breakpoint-up(xl) {
        background-position: 40% -310px;

        &__wrap {
            padding-top: 180px;
        }

        &__header {
            margin-bottom: 100px;
            font-size: size-rel(120px);
            line-height: size-rel(120px);
        }

        &__content {
            line-height: 140%;
            font-size: size-rel(24px);
        }

        &__bottom {
            font-size: size-rel(24px);
            line-height: size-rel(30px);
        }

        &__pattern {

            &--one {
                height: 67px;
                left: auto;
                right: 150px;
                bottom: 390px;
            }

            &--two {
                width: 60px;
                height: 60px;
            }

            &--three {
                height: 110px;
                right: -10px;
                bottom: 280px;
                transform: rotate(0deg);

                svg {
                    stroke: $orange;
                    stroke-width: 5;
                }

            }
        }
    }

    @include media-breakpoint-up(xxl) {
        padding-bottom: 50px;

        &__header {
            font-size: size-rel(140px);
            line-height: size-rel(140px);
        }

        &__content {
            font-size: size-rel(30px);
        }

        &__bottom {

        }
    }
}

.footer-bottom {
    left: 0;
    right: 0;
    bottom: 0;
    margin: 0;
    width: 100%;
    padding: 5px 0;
    height: 40px;
    z-index: 1500;
    border: none;
    outline: none;
    position: fixed;
    color: $white;
    cursor: pointer;
    background: $black;
    text-align: center;
    font-weight: 300;
    font-size: size-rel(16px);
    line-height: size-rel(21px);
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: underline;

    &__text {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        color: $white;
        cursor: pointer;
        white-space: nowrap;
        display: inline-block;
        background: transparent;
    }

    &:hover {
        color: $white;
        text-decoration: none;
    }

    @include media-breakpoint-up(xxl) {
        height: 50px;
        font-size: size-rel(30px);
        line-height: size-rel(36px);
    }
}
